Subject: Re: [Hipsec] Ben Campbell's No Objection on draft-ietf-hip-rfc4423-bis-19: (with COMMENT)

From: Miika Komu <[email-masked]>
Date: Sun, 6 Jan 2019 20:40:11 +0000

Hi Ben,

On 5/10/18 05:53, Ben Campbell wrote:
> Ben Campbell has entered the following ballot position for
> draft-ietf-hip-rfc4423-bis-19: No Objection
> 
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
> 
> 
> Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
> for more information about IESG DISCUSS and COMMENT positions.
> 
> 
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-hip-rfc4423-bis/
> 
> 
> 
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
> 
> I have mostly just reviewed the diff from RFC4423. My comments are mostly
> editorial.
> 
> First, a minor rant that I don't expect to be addressed at this point in the
> process; I mainly say this to try to discourage it future bis drafts: There are
> quite a few changes from 4423 that are entirely stylistic, but do not
> materially change the content or improve readability. I wish people wouldn't do
> that, because it makes it harder to review material changes with the diff
> tools. (I will only point out such changes where I think the original was more
> correct.)

apologies for this!

> -General: There seems to have been a systematic attempt to remove hyphens from
> compound adjectives. There also seems to be a systematic attempt to change
> headings from title case to normal sentence case.  I suspect the RFC editor
> will change those all back.

(Adam already asked to fix a number of compound adjectives)

> Abstract: The abstract manages to completely avoid saying what this namespace
> is _for_. (Yes, I realize that is old text :-) )

I changed the first sentence to:

    This memo describes the Host Identity (HI) namespace, that provides a
    cryptographic namespace to applications, and the associated protocol
    layer, the Host Identity Protocol, located between the
    internetworking and transport layers, that supports end-host
    mobility, multihoming and NAT traversal.

Is this ok for you?

> §1, first paragraph: s/ "try and do"/"try to do"
> 
> §4.2: Please mention the HIT abbreviation in the text, not just the heading.
> (The text should make sense even without the headings.)
> 
> §5:
> - third paragraph: Missing articles before "Left" and "right".
> - 2nd to last paragraph: Missing article before "HIP layer" (multiple
> instances).

fixed, thanks!

---

From: Ben Campbell <[email-masked]>
Date: Tue, 8 Jan 2019 15:36:44 -0600

> On Jan 6, 2019, at 2:40 PM, Miika Komu <[email-masked]> wrote:
> 
>> 

Yes, thanks!

Ben.